Name: libunrar3
Version: 3.4.3
Release: alt1.1

Packager: Sergey Y. Afonin <asy@altlinux.ru>

Summary: Uncompressor library for .rar v.3.x format archive files.
License: RARLAB
Group: System/Libraries
URL: ftp://ftp.rarlab.com/rar

Source0: ftp://ftp.rarlab.com/rar/unrarsrc-%version.tar.gz

Patch0:  unrar-3.4.3_fix.patch

%define lname unrar

# Automatically added by buildreq on Thu Dec 02 2004
BuildRequires: gcc-c++ libstdc++-devel

%description
It's a uncompressor library for .rar v.3.x format archive files.

%package doc
Summary: libunrar3 documentation and license
Group: System/Libraries
Conflicts: %name < %version-%release, %name > %version-%release

%description doc
This package includes libunrar3 documentation and license

%package devel
Summary: libunrar3 header file
Group: Development/Other
Conflicts: %name < %version-%release, %name > %version-%release
Requires: %name

%description devel
This package includes libunrar3 header file

%prep
%setup -q -n %lname
%patch0 -p1

%build
make -f makefile.unix lib

%install
install -D libunrar3.so $RPM_BUILD_ROOT%_libdir/libunrar3.so
install -D dll.hpp $RPM_BUILD_ROOT%_includedir/libunrar3/dll.hpp

%files
%_libdir/libunrar3.so

%files doc
%doc readme.txt license.txt

%files devel
%_includedir/libunrar3/dll.hpp

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.4.3-alt1.1
- Rebuilt with libstdc++.so.6.

* Thu Oct 21 2004 Sergey Y. Afonin <asy@altlinux.ru> 3.4.3-alt1
- initial build for Alt Linux

* Thu Oct 21 2004 Mokrushin I.V. aka McMCC <mcmcc@mail.ru> 3.4.3-1
- initial build
- unrar-3.4.3_fix.patch (http://mcmcc.bat.ru/clam_rar3.html)
